# Java Compiler Javadoc Preferences

Indicate your preferences for the Javadoc settings on the Java > Compiler > Javadoc preference page.

Option | Description | Default
--- | --- | ---
Process Javadoc comments (includes search and refactoring) | The builder detects problems in Javadoc comments if this option is enabled. For search and refactoring to work on Javadoc comments it is also required to enable this option. | On
Malformed Javadoc comments | When enabled, the compiler will issue an error or warning whenever it encounters a malformed Javadoc comment. | Ignore
Only consider members as visible as | The compiler only checks members with the specified or a broader visibility. | Public
Validate tag arguments (@param, @throws, @exception, @see, @link) | When enabled, the compiler will issue an error or warning whenever it encounters an error in a Javadoc comment tag argument for @param, @throws, @exception, @see or @link. | Off
Report non visible references | When enabled, the compiler will issue an error or warning whenever it encounters a reference to a non visible element. | Off
Report deprecated references | When enabled, the compiler will issue an error or warning whenever it encounters a reference to a deprecated element. | Off
Missing tag descriptions | Choose between 'Validate all standard tags', 'Validate @return tags' and 'Ignore'. When enabled, the compiler will issue an error or warning whenever it encounters a missing tag description | 'Validate @return tags'
Missing Javadoc tags | When enabled, the compiler will issue an error or warning whenever it encounters a missing Javadoc tag (i.e. missing @param tag for a parameter). | Ignore
Only consider members as visible as | The compiler only checks members with the specified or a broader visibility. | Public
Ignore in overriding and implementing methods | When enabled, methods that override or implement another method are not checked for missing Javadoc tags. | On
Ignore method type parameters | When enabled, missing Javadoc tags are not reported for method type parameters. | On
Missing Javadoc comments | When enabled, the compiler will issue an error or warning whenever it encounters a missing Javadoc comment for a Java member. | Ignore
Only consider members as visible as | The compiler only checks members with the specified or a broader visibility. | Public
Ignore in overriding and implementing methods | When enabled, methods that override or implement another method are not checked for missing Javadoc comments. | On